Workflow Triggers
Create workflow trigger
Create a new trigger for a workflow. Triggers define when the workflow should automatically execute.
Trigger types:
inbound_message: Workflow starts when WhatsApp messages arrive at specified phone number (requires phone_number_id)api_call: Workflow starts only via POST /workflows//executions (no phone_number_id needed)
After creating a trigger:
- For inbound_message: Messages to the phone_number_id will start workflow executions
- For api_call: Workflow can only be started via API endpoint
Note: A workflow can have multiple triggers (e.g., multiple phone numbers, or both inbound_message and api_call).
POST
/
workflows
/
{workflow_id}
/
triggers
Create workflow trigger
curl --request POST \
--url https://api.kapso.ai/platform/v1/workflows/{workflow_id}/triggers \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"trigger": {
"active": true,
"phone_number_id": "123456789012345",
"event_name": "conversation.csat_scored",
"property_key": "score",
"property_value": "<unknown>"
}
}
'import requests
url = "https://api.kapso.ai/platform/v1/workflows/{workflow_id}/triggers"
payload = { "trigger": {
"active": True,
"phone_number_id": "123456789012345",
"event_name": "conversation.csat_scored",
"property_key": "score",
"property_value": "<unknown>"
} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
trigger: {
active: true,
phone_number_id: '123456789012345',
event_name: 'conversation.csat_scored',
property_key: 'score',
property_value: '<unknown>'
}
})
};
fetch('https://api.kapso.ai/platform/v1/workflows/{workflow_id}/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_type": "inbound_message",
"active": true,
"display_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"triggerable": {
"phone_number_id": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
Workflow identifier
Body
application/json
Request to create a new workflow trigger
Show child attributes
Show child attributes
Response
Trigger created successfully
Single workflow trigger response
Workflow trigger defining when and how a workflow execution should start
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create workflow trigger

